---
title: Window.screenY
slug: Web/API/Window/screenY
tags:
  - API
  - CSSOM View
  - Property
  - Read-only
  - Reference
  - Window
---
<div>{{APIRef}}</div>

<p>The <code><strong>Window.screenY</strong></code> read-only property returns the vertical distance, in CSS pixels, of the top border of the user's browser viewport to the top edge of the screen.</p>

<div class="notecard note">
<p><strong>Note</strong>: An alias of <code>screenY</code> was implemented across modern browsers in more recent times — {{domxref("Window.screenTop")}}. This was originally supported only in IE but was introduced everywhere due to popularity.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js"><em><var>topWindowPos</var> = window.screenY
</em></pre>

<h3 id="Returns">Returns</h3>

<p>A number equal to the number of CSS pixels from the top edge of the browser viewport to the  top edge of the screen.</p>

<h2 id="Specifications">Examples</h2>

<p>In our <a href="https://mdn.github.io/dom-examples/screenleft-screentop/">screenleft-screentop</a> example, you'll see a canvas onto which has been drawn a circle. In this example we are using {{domxref("Window.screenLeft")}}/{{domxref("Window.screenTop")}} plus {{domxref("Window.requestAnimationFrame()")}} to constantly redraw the circle in the same physical position on the screen, even if the window position is moved.</p>

<pre class="brush: js">initialLeft = window.screenLeft + canvasElem.offsetLeft;
initialTop = window.screenTop + canvasElem.offsetTop;

function positionElem() {
  let newLeft = window.screenLeft + canvasElem.offsetLeft;
  let newTop = window.screenTop + canvasElem.offsetTop;

  let leftUpdate = initialLeft - newLeft;
  let topUpdate = initialTop - newTop;

  ctx.fillStyle = 'rgb(0, 0, 0)';
  ctx.fillRect(0, 0, width, height);
  ctx.fillStyle = 'rgb(0, 0, 255)';
  ctx.beginPath();
  ctx.arc(leftUpdate + (width/2), topUpdate + (height/2) + 35, 50, degToRad(0), degToRad(360), false);
  ctx.fill();

  pElem.textContent = 'Window.screenLeft: ' + window.screenLeft + ', Window.screenTop: ' + window.screenTop;

  window.requestAnimationFrame(positionElem);
}

window.requestAnimationFrame(positionElem);</pre>

<p>These work in exactly the same way as <code>screenX</code>/<code>screenY</code>.</p>

<p>Also in the code we include a snippet that detects whether <code>screenLeft</code> is supported, and if not, polyfills in <code>screenLeft</code>/<code>screenTop</code> using <code>screenX</code>/<code>screenY</code>.</p>

<pre class="brush: js">if(!window.screenLeft) {
  window.screenLeft = window.screenX;
  window.screenTop = window.screenY;
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSSOM View', '#dom-window-screeny', 'Window.screenY') }}</td>
   <td>{{ Spec2('CSSOM View') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.screenY")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("window.screenTop")}}</li>
 <li>{{domxref("window.screenX")}}</li>
</ul>
